import { LocalExec, LocalExecOptions } from "cdktf-local-exec";
import { Construct } from "constructs";
export interface RegistryAuth {
    readonly userName: string;
    readonly password: string;
    readonly proxyEndpoint: string;
}
export interface DockerBuildOptions {
    readonly cwd: string;
    readonly dockerfile?: string;
    readonly tag: string;
    readonly push?: boolean;
    readonly auth?: RegistryAuth;
}
export declare class DockerBuild extends LocalExec {
    constructor(scope: Construct, name: string, { cwd, dockerfile, tag, push, auth }: DockerBuildOptions);
}
export interface DockerizedBuildOptions extends LocalExecOptions {
    readonly image: string;
    readonly imageHomeDirectory: string;
    readonly platform?: string;
    readonly setUser: boolean;
}
export declare class DockerizedBuild extends LocalExec {
    constructor(scope: Construct, name: string, options: DockerizedBuildOptions);
}
